Bug 84579 - COLOR PICKER: Text label of currently selected color should appear in widget
Summary: COLOR PICKER: Text label of currently selected color should appear in widget
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
: 106204 (view as bug list)
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2014-10-02 00:18 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-01-17 16:03 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Color picker showing swatch "Red" selected LOv4322 (10.72 KB, image/png)
2014-10-03 22:39 UTC, Owen Genat (retired)
Details
Color picker showing swatch "Red" selected LOv4400 2014-09-29 x86_64 deb (13.93 KB, image/png)
2014-10-03 22:40 UTC, Owen Genat (retired)
Details
mockup (20.92 KB, image/png)
2014-10-29 08:25 UTC, Yousuf Philips (jay) (retired)
Details
RGB Hex appended to color picker's label (26.72 KB, image/png)
2018-01-15 18:26 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-02 00:18:36 UTC
Pulled from bug 37480 comment 17.

7) enhancement: with the color picker button moved from its location, that location can be taken up by a text label of the currently selected color, along with its hex equivalent, similar to the old color drop down.
Comment 1 Owen Genat (retired) 2014-10-03 22:39:39 UTC
Created attachment 107290 [details]
Color picker showing swatch "Red" selected LOv4322
Comment 2 Owen Genat (retired) 2014-10-03 22:40:25 UTC
Created attachment 107291 [details]
Color picker showing swatch "Red" selected LOv4400 2014-09-29 x86_64 deb
Comment 3 Yousuf Philips (jay) (retired) 2014-10-03 22:50:05 UTC
In attachment 107290 [details] you see the word 'Red' at the bottom of the UI, in attachment 107291 [details] there is no text label mentioning the name of the color. When a user selects a custom color, there wont be a text label for it, so its important to show either the RGB or hex value of the currently selected color.
Comment 4 Owen Genat (retired) 2014-10-03 23:06:20 UTC
I agree. The new "Color Picker" button at the bottom of the v4.4.0.0 screenshot need not run full width. It need only be a small square button at bottom right, with the name and hex equivalent of the selected swatch displayed to the left. Alternatively, create a new row for this information. Status set to NEW. Component set to UI. Severity set to enhancement.
Comment 5 Owen Genat (retired) 2014-10-03 23:17:00 UTC
(In reply to Owen Genat from comment #4)
> I agree. The new "Color Picker" button at the bottom of the v4.4.0.0
> screenshot need not run full width. It need only be a small square button at
> bottom right, with the name and hex equivalent of the selected swatch
> displayed to the left. Alternatively, create a new row for this information.
> Status set to NEW. Component set to UI. Severity set to enhancement.

Small clarification. As per the driving design:

https://redmine.documentfoundation.org/attachments/download/138/color-picker.png

... it seems the currently selected colour should appear as a separate (and labelled) swatch at the head of the dialog.
Comment 6 Yousuf Philips (jay) (retired) 2014-10-29 08:25:41 UTC
Created attachment 108609 [details]
mockup

(In reply to Owen Genat from comment #5)
> Small clarification. As per the driving design:
> 
> https://redmine.documentfoundation.org/attachments/download/138/color-picker.
> png
> 
> ... it seems the currently selected colour should appear as a separate (and
> labelled) swatch at the head of the dialog.

I think you are mistaken, that part simply names the drop down.

I think the current selected color label should appear below the color palette list and the recent list.
Comment 7 Adolfo Jayme 2014-12-06 21:49:05 UTC
(In reply to Jay Philips from comment #6)
> Created attachment 108609 [details]
> mockup

What about showing that in a tooltip when hovering over a color?
Comment 8 Yousuf Philips (jay) (retired) 2014-12-07 08:48:52 UTC
(In reply to Adolfo Jayme from comment #7)
> What about showing that in a tooltip when hovering over a color?

There are tooltips already when you hover over a color, except in the recent list.
Comment 9 Adolfo Jayme 2014-12-09 02:34:29 UTC
(In reply to Jay Philips from comment #8)
> There are tooltips already when you hover over a color, except in the recent
> list.

Of course they are :-P I meant, what about showing the hexadecimal value on them. Sorry for not being clear earlier.
Comment 10 Yousuf Philips (jay) (retired) 2014-12-09 10:06:34 UTC
(In reply to Adolfo Jayme from comment #9)
> Of course they are :-P I meant, what about showing the hexadecimal value on
> them. Sorry for not being clear earlier.

Yes i think having the hex value in the tooltip as well as in the label, even when we do provide a name for the color, is a great think. Putting it also in the label came to mind after your previous comment and it would be quite useful now that we have various palettes to choose from. In some of the palettes we show the binary or hex or both, so it would be good to streamline that we always show the binary and hex values in a particular format.

Suggested Format: Name (#hex) [r.g.b]
Comment 11 Yousuf Philips (jay) (retired) 2014-12-20 23:40:09 UTC
Came across an image ( http://www.oracle.com/webfolder/ux/middleware/richclient/guidelines5/images/inputColor/color_elems.png ) which had the suggested format: 'Name (hex / r,g,b)'
Comment 12 Heiko Tietze 2017-02-18 10:23:36 UTC
Closing this ticket as WONTFIX since we show the hex value in the dialog now next to the new solid color.
Comment 13 Yousuf Philips (jay) (retired) 2017-02-25 13:08:32 UTC
(In reply to Heiko Tietze from comment #12)
> Closing this ticket as WONTFIX since we show the hex value in the dialog now
> next to the new solid color.

This ticket is about the color picker drop down widget found in the toolbar and sidebar and not about the area fill tab.
Comment 14 Heiko Tietze 2017-02-26 21:08:52 UTC
(In reply to Yousuf Philips (jay) from comment #13)
> This ticket is about the color picker drop down widget found in the toolbar
> and sidebar and not about the area fill tab.

Some users work with color names other with RGB (previous comments), HSL, hex, binary or whatever. The color _picker_ is not the right control to show all information for the color. Its purpose is to select an item (color) from the collection (palette). Showing a name or any other property makes not much sense and would require to keep the dialog open. Otherwise you pick blue and get a label with 'blue' or '#0000FF' somewhere but the picker closes immediately.

Keep it simple -> WONTFIX
Comment 15 Heiko Tietze 2017-03-02 16:00:15 UTC
We talked about this topic in the design meeting and came to the agreement that a tooltip on the picker button would be sufficient. That means the current hint "Font Color" would be completed in future by "Font Color (automatic)", "Font Color (Chartreuse)" or "Font Color (#7f9101)", depending on the actual font.
Furthermore, when the picker opens it's required to scroll down large palettes to the place of the selected color. 

So we have two issues here, I suggest to file one bug and an enhancement request. And to close this as WONTFIX :-).
Comment 16 Heiko Tietze 2017-03-05 09:54:52 UTC
(In reply to Heiko Tietze from comment #15)
> We talked about this topic in the design meeting and came to the agreement
> that a tooltip on the picker button would be sufficient.

That's not true as Jay told me. It's still his opinion that a label with color name/hex value is needed in the picker.
Comment 17 Heiko Tietze 2017-03-05 10:11:25 UTC
*** Bug 106204 has been marked as a duplicate of this bug. ***
Comment 18 Aprax 2017-03-05 16:33:33 UTC
(In reply to Heiko Tietze from comment #15)
> So we have two issues here, I suggest to file one bug and an enhancement
> request. And to close this as WONTFIX :-).

If this is replaced by two new #'s (bug & enhancement) will the current cc list be carried forward into both or will I have to hunt (search) for the #'s?

I'm interested in the resizing of the window to eliminate the scroll bar which is the bug.
I also keep a spreadsheet of my favorite colors and their names which is the enhancement.

J
Comment 19 Heiko Tietze 2017-03-05 18:26:58 UTC
(In reply to Aprax from comment #18)
> If this is replaced by two new #'s (bug & enhancement) will the current cc
> list be carried forward into both or will I have to hunt (search) for the
> #'s?

CC lists are not transferred, replacement tickets are completely new. But I'm afraid for this ticket any actual work won't happen soon, neither a more concrete task is in sight.
Comment 20 Yousuf Philips (jay) (retired) 2017-06-24 23:51:00 UTC
(In reply to Heiko Tietze from comment #15)
> We talked about this topic in the design meeting and came to the agreement
> that a tooltip on the picker button would be sufficient. That means the
> current hint "Font Color" would be completed in future by "Font Color
> (automatic)", "Font Color (Chartreuse)" or "Font Color (#7f9101)", depending
> on the actual font.

Filed as bug 108751.

> Furthermore, when the picker opens it's required to scroll down large
> palettes to the place of the selected color. 

Filed as bug 108750.
Comment 21 Thomas Lendo 2018-01-10 22:05:05 UTC
Changing bug summary according to a talk with Jay in Telegram.

After the discussions above, this bug is about a toolbar button tooltip showing the currently selected color without opening the widget.
Comment 22 Yousuf Philips (jay) (retired) 2018-01-10 22:29:09 UTC
(In reply to Thomas Lendo from comment #21)
> After the discussions above, this bug is about a toolbar button tooltip
> showing the currently selected color without opening the widget.

You misunderstood. Bug 108751 is about the toolbar button tooltip and this bug is about the text label of the current color appearing in the widget, similar to how its shown in my mockup as 'Custom Color: #663332' in attachment 108609 [details].
Comment 23 Heiko Tietze 2018-01-11 03:59:07 UTC
(In reply to Yousuf Philips (jay) from comment #22)
> ... this bug is about the text label of the current color appearing 
> in the widget,  similar to how its shown in my mockup as 
> 'Custom Color: #663332' in attachment 108609 [details].

That's not what we agreed on in the design meeting, see comment 15. And since the tooltip is working on the picker we can close this ticket.
Comment 24 Yousuf Philips (jay) (retired) 2018-01-14 14:46:36 UTC
(In reply to Heiko Tietze from comment #23)
> That's not what we agreed on in the design meeting, see comment 15. And
> since the tooltip is working on the picker we can close this ticket.

Read your comment 16.
Comment 25 Thomas Lendo 2018-01-14 18:46:03 UTC
In the mentioned meeting [1] I read that it was agreed to implement the tooltip solution at the widget, see Bug 108751. Therefore the Wontfix here is ok.

[1] https://listarchives.libreoffice.org/global/design/msg08182.html
Comment 26 Yousuf Philips (jay) (retired) 2018-01-15 15:01:53 UTC
(In reply to Thomas Lendo from comment #25)
> In the mentioned meeting [1] I read that it was agreed to implement the
> tooltip solution at the widget, see Bug 108751. Therefore the Wontfix here
> is ok.

The minutes do not accurately mention what was agreed upon, as mentioned in comment 16. If others in the design team disagree with this suggestion, it can be closed. Stuart, Adolfo, Cor: your thoughts?
Comment 27 V Stuart Foote 2018-01-15 18:06:30 UTC
(In reply to Yousuf Philips (jay) from comment #26)
> 
> The minutes do not accurately mention what was agreed upon, as mentioned in
> comment 16. If others in the design team disagree with this suggestion, it
> can be closed. Stuart, Adolfo, Cor: your thoughts?

Agree this is still valid... adding a Label to the color picker to show the RGB Hex of the "active" color (font, background, fill) would be useful. Especially since now the "Recent" swatches of the color pickers show a tooltip of the swatch's assigned "color name" when it was selected from a palette, or the RGB Hex for a picked custom color or external source otherwise. 

Currently, obtaining the RGB Hex of the active color requires an additional click into the Custom Color dialog to read it there--like Jay I believe labeling the Color Picker would be a clean UI without need for adjusting tooltips (as bug 108751).

Such RGB Hex label--e.g. #729FCF--could be into an area on the widget as Jay showed (attachment 108609 [details])--or possibly could be appended to the "Font Color", "Highlight Color", or "Fill Color" labeling of the docked or torn-off widget (Toolbar or Sidebar deck). With the widget label would be cleaner than a new area in the widget body, but not sure which would be more dev effort.
Comment 28 V Stuart Foote 2018-01-15 18:26:26 UTC
Created attachment 139114 [details]
RGB Hex appended to color picker's label
Comment 29 Heiko Tietze 2018-01-16 09:21:06 UTC
(In reply to V Stuart Foote from comment #27)
> Agree this is still valid... adding a Label to the color picker to show the
> RGB Hex of the "active" color...

But your next comment shows the information in a more subtile way as addition to the header text. That wont work unfortunately because the sidebar pickers are presented without this header.

To repeat what I said in comment 14: Simplicity first, meaning we shouldn't show secondary information on prominent positions. The RGB information is less relevant for an office suite especially at the color _picker_. We better show it with alternative methods like in the dialog (my preference), a tooltip (what we agreed on, IIRC), or added to other text. But not as an extra label.
Comment 30 Cor Nouws 2018-01-17 16:03:15 UTC
(In reply to Heiko Tietze from comment #29)

> To repeat what I said in comment 14: Simplicity first, meaning we shouldn't
> show secondary information on prominent positions. The RGB information is
> less relevant for an office suite especially at the color _picker_. We
> better show it with alternative methods like in the dialog (my preference),
> a tooltip (what we agreed on, IIRC), or added to other text. But not as an
> extra label.

makes sense to me. It is not info that one needs so often, I would say.